/***************************************************************
 * Name:      RearrangeCtrl.h
 * Purpose:   Defines Dialog RearrangeCtrl
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-04-20
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef REARRANGECTRL_H
#define REARRANGECTRL_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/rearrangectrl.h>
#include "datos.h"

class RearrangeCtrl : public wxDialog
{
    protected:
        enum
        {
            idList = 1000,
            idRadioBox
        };
        wxRearrangeCtrl* lista;
        datosItems& datos;

    public:
        RearrangeCtrl(wxWindow *wnd, datosItems &dat);
        virtual ~RearrangeCtrl();
        void OnOk(wxCommandEvent& event);

    private:
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // REARRANGECTRL_H
