/***************************************************************
 * Name:      wx019App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2025-04-20
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#ifdef __BORLANDC__
#pragma hdrstop
#endif //__BORLANDC__

#include "wx019App.h"
#include "wx019Main.h"
#include "logo_peq.xpm"

IMPLEMENT_APP(wx019App);

bool wx019App::OnInit()
{
    wx019Frame* frame = new wx019Frame(0L, _T("wxWidgets Ejemplo 19"));
    frame->SetIcon(logo); // To Set App Icon
    frame->Show();

    return true;
}
